Skip to main content
`Ctrl`+`K`

# SNESFASSetInjection

Sets the matrix to be used to inject the solution from `level` to `level-1`.

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESFASSetInjection(SNES snes, PetscInt level, Mat mat)

## Input Parameters

- snes - the `SNESFAS` nonlinear multigrid context

- mat - the injection matrix

- level - the level (0 is coarsest) to supply [Do not supply 0]

## Note

If you do not set this, the restriction and rscale is used to project the solution instead.

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESFAS`, `SNESFASSetInterpolation()`, `SNESFASSetRestriction()`

## Level

advanced

## Location

src/snes/impls/fas/fasfunc.c

Index of all SNESFAS routines
Table of Contents for all manual pages
Index of all manual pages